Bug 225942 - [maintainer update] for graphics/openshadinglanguage
Summary: [maintainer update] for graphics/openshadinglanguage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 224382
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-16 06:10 UTC by Shane
Modified: 2018-12-08 18:28 UTC (History)
2 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
maintainer update graphics/openshadinglanguage to 1.9.7 (60.66 KB, patch)
2018-02-16 06:10 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
extra blender patch needed for osl 1.9.7 (633 bytes, patch)
2018-02-16 06:13 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/openshadinglanguage to 1.9.8 (62.47 KB, patch)
2018-04-19 19:07 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/openshadinglanguage to 1.9.10 (76.54 KB, patch)
2018-09-12 02:13 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/openshadinglanguage to 1.9.10 (78.28 KB, patch)
2018-09-14 00:55 UTC, Shane
no flags Details | Diff
maintainer update graphics/openshadinglanguage to 1.10.2 (80.60 KB, patch)
2018-12-05 06:27 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/blender (9.18 KB, patch)
2018-12-05 06:36 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/blender (9.16 KB, patch)
2018-12-08 06:39 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/openshadinglanguage to 1.10.2 (80.62 KB, patch)
2018-12-08 06:50 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2018-02-16 06:10:36 UTC
Created attachment 190677 [details]
maintainer update graphics/openshadinglanguage to 1.9.7

update graphics/openshadinglanguage to 1.9.7
modernise cmake options
Comment 1 Shane 2018-02-16 06:13:15 UTC
Created attachment 190678 [details]
extra blender patch needed for osl 1.9.7

The existing version of blender needs an extra patch to build with osl 1.9.7
Comment 2 Shane 2018-04-19 19:07:44 UTC
Created attachment 192663 [details]
maintainer update graphics/openshadinglanguage to 1.9.8

update to 1.9.8
removing blender patch as 2.79b includes the fix
Comment 3 Shane 2018-09-12 02:13:12 UTC
Created attachment 197039 [details]
maintainer update graphics/openshadinglanguage to 1.9.10

update patch to 1.9.10
Comment 4 Shane 2018-09-14 00:55:19 UTC
Created attachment 197081 [details]
maintainer update graphics/openshadinglanguage to 1.9.10

fix pkg-plist
Comment 5 Shane 2018-12-05 06:27:44 UTC
Created attachment 199841 [details]
maintainer update graphics/openshadinglanguage to 1.10.2

Update to 1.10.2

This includes the switch to using llvm60
Comment 6 Shane 2018-12-05 06:36:49 UTC
Created attachment 199842 [details]
maintainer update graphics/blender

Changes needed for blender to work with OSL 1.10.x
Switch to using llvm60 and patch included osl scripts.
Also includes support for opencollada >= 1.6.65

I have removed USES=compiler:c++14-lang, this was in place to support 10.x.
ports r486394 hints that this (or compiler:c++11-lang) may need to be kept in place for GCC built archs??
Comment 7 Shane 2018-12-08 06:39:24 UTC
Created attachment 199948 [details]
maintainer update graphics/blender

Adjust patch to not remove USES=compiler, this is needed on archs built with gcc in base. See bug #233671
Comment 8 Shane 2018-12-08 06:50:09 UTC
Created attachment 199950 [details]
maintainer update graphics/openshadinglanguage to 1.10.2

Adjust patch to not remove USES=compiler, this is needed on archs built with gcc in base. See bug #233671
Comment 9 Kurt Jaeger freebsd_committer 2018-12-08 15:18:10 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2018-12-08 15:18:13 UTC
A commit references this bug:

Author: pi
Date: Sat Dec  8 15:18:00 UTC 2018
New revision: 486955
URL: https://svnweb.freebsd.org/changeset/ports/486955

Log:
  graphics/openshadinglanguage: update 1.8.10 -> 1.10.2

  PR:		225942
  Submitted by:	Shane Ambler <FreeBSD@ShaneWare.Biz> (maintainer)
  Relnotes:	https://github.com/imageworks/OpenShadingLanguage/releases

Changes:
  head/graphics/openshadinglanguage/Makefile
  head/graphics/openshadinglanguage/distinfo
  head/graphics/openshadinglanguage/files/patch-src_cmake_modules_FindLLVM.cmake
  head/graphics/openshadinglanguage/files/patch-src_doc_CMakeLists.txt
  head/graphics/openshadinglanguage/files/patch-src_liboslexec_llvm__instance.cpp
  head/graphics/openshadinglanguage/files/patch-src_liboslexec_llvm_instance.cpp
  head/graphics/openshadinglanguage/files/patch-src_shaders_CMakeLists.txt
  head/graphics/openshadinglanguage/files/patch-src_shaders_MaterialX_CMakeLists.txt
  head/graphics/openshadinglanguage/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2018-12-08 15:19:11 UTC
Ups, too early, need to check blender update.

@work
Comment 12 commit-hook freebsd_committer 2018-12-08 18:27:56 UTC
A commit references this bug:

Author: pi
Date: Sat Dec  8 18:27:52 UTC 2018
New revision: 486971
URL: https://svnweb.freebsd.org/changeset/ports/486971

Log:
  graphics/blender: Changes to adapt to updated dependencies

  - Changes needed for blender to work with OSL 1.10.x
  - Switch to using llvm60 and patch included osl scripts.
  - Also includes support for opencollada >= 1.6.65

  PR:		225942
  Submitted by:	Shane Ambler <FreeBSD@ShaneWare.Biz>

Changes:
  head/graphics/blender/Makefile
  head/graphics/blender/files/patch-osl110
  head/graphics/blender/files/patch-source_blender_collada_DocumentImporter.cpp
  head/graphics/blender/files/patch-source_blender_collada_DocumentImporter.h
Comment 13 Kurt Jaeger freebsd_committer 2018-12-08 18:28:09 UTC
testbuilds blender done, looks fine.
Comment 14 Kurt Jaeger freebsd_committer 2018-12-08 18:28:22 UTC
Committed, thanks!